<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML - Forms, Tables and Semantic HTML</title>
	</head>

	<body>
		<!-- header is a sematic tag to inform the dev and client that this component is for the header of the web page-->
		<header>
			<h2 align="center">HTML Entities</h2>
		</header>

		<main>
			<!-- This section is for the HTML Table-->
			<section>
				<p><em>Reserved characters in HTML (e.g. &lt; or &gt;) that can me mixed up with HTML</em></p>

				<!-- Border attr defines thickness of border -->
				<table border="2">
					<!--thead tag is for the header of the table -->
					<thead>
						<!-- tr tag defines a table row -->
						<!--First row of our header -->
						<tr>
						<!-- th tag defines a table header -->
							<th colspan="2">Entity</th>
							<th rowspan="2">Description</th>
						</tr>
						<!--Second row of our header -->
						<tr>
							<th>Symbol</th>
							<th>Name/Number</th>
						</tr>
					</thead>
					<!--tbody is for the body of the table -->
					<tbody>
						<!-- this is the first row of tbody-->
						<tr>
							<!--we use td for the columns of our tbody -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>

						<!--this is the second row -->
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>

						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>

						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>

						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>

						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotation mark</td>
						</tr>

						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>lower tilde</td>
						</tr>

						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>upper tilde</td>
						</tr>
						
					</tbody>
					<!--tfoot tag is for the footer of the table -->
					<tfoot>
						<th colspan="3">List of HTML entities</th>
					</tfoot>
				</table>
			</section>
			<!--This is the end of table section -->

			<!--This section is for the HTML form -->
			<section>
				<h2 align="center">HTML Form</h2>

				<p><em>Input elements that make up a form</em></p>
				
				<form>
					<!-- Text inputs -->
					<label for="fullname">Full Name:</label><br/>
					<input type="text" name="fullname" id="fullname" required /><br/>

					<label for="birthdate">Birthdate</label><br/>
					<input type="date" name="birthdate" id="birthdate" required> <br/>

					<label for="age">Age:</label><br/>
					<input type="number" name="age" id="age" required><br/>

					<!-- Dropdown -->
					<label for="gender">Gender</label><br/>
						<select name="gender" id="gender">
							<option value="Male">Male</option>
							<option value="Female">Female</option>
						</select><br/>

					<!-- textarea-->
					<label for="suggestion">Suggestions:</label><br/>
					<textarea name="suggestion" rows="5" cols="col" id="suggestions"></textarea><br/>

					<!-- Radio Button-->
					<label>Civil Status:</label><br/>
					
					<input type="radio" name="civil status" Value="single" id="Single"/>
					<label for="single">Single</label><br/>

					<input type="radio" name="civil status" Value="Married" id="Married"/>
					<label for="single">Married</label><br/>

					<!-- Checkbox -->
					<label>Role:</label><br/>

					<input type="checkbox" name="job1" value="developer" id="developer"/>
					<label for="developer">Developer</label><br/>

					<input type="checkbox" name="job2" value="student" id="student"/>
					<label for="student">Student</label><br/>

					<input type="checkbox" name="job3" value="manager" id="manager"/>
					<label for="manager">Manager</label><br/>



					<button>Submit</button>
					<button type="reset">Reset</button>


				</form>
			</section>
		</main>
	</body>

</html>